Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-3869

Overview

Vulnerability Score 6.3 6.3
CVE Id CVE-2011-3869
Last Modified 13 May 2012 12:00:00
Published 27 Oct 2011 04:55:01
Confidentiality Impact NONE NONE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector LOCAL
Access Complexity MEDIUM
Authentication NONE

CVE-2011-3869

Summary

Puppet 2.7.x before 2.7.5, 2.6.x before 2.6.11, and 0.25.x allows local users to overwrite arbitrary files via a symlink attack on the .k5login file.

Vulnerable Systems

Application

  • Puppetlabs Puppet 0.25.0

  • Puppetlabs Puppet 0.25.1

  • Puppetlabs Puppet 0.25.2

  • Puppetlabs Puppet 0.25.3

  • Puppetlabs Puppet 0.25.4

  • Puppetlabs Puppet 0.25.5

  • Puppetlabs Puppet 0.25.6

  • Puppetlabs Puppet 2.6.0

  • Puppetlabs Puppet 2.6.1

  • Puppetlabs Puppet 2.6.10

  • Puppetlabs Puppet 2.6.2

  • Puppetlabs Puppet 2.6.3

  • Puppetlabs Puppet 2.6.4

  • Puppetlabs Puppet 2.6.5

  • Puppetlabs Puppet 2.6.6

  • Puppetlabs Puppet 2.6.7

  • Puppetlabs Puppet 2.6.8

  • Puppetlabs Puppet 2.6.9

  • Puppetlabs Puppet 2.7.0

  • Puppetlabs Puppet 2.7.1

  • Puppetlabs Puppet 2.7.2

  • Puppetlabs Puppet 2.7.3

  • Puppetlabs Puppet 2.7.4


References

FEDORA - FEDORA-2011-13623

FEDORA - FEDORA-2011-13636

CONFIRM - http://groups.google.com/group/puppet-announce/browse_thread/thread/91e3b46d2328a1cb

UBUNTU - USN-1223-2

UBUNTU - USN-1223-1

DEBIAN - DSA-2314

SECUNIA - 46458

FEDORA - FEDORA-2011-13633

Related Patches

Novell SUSE 2011:5421 puppet security update for SLE 11 SP1 i586

Novell SUSE 2011:5421 puppet security update for SLE 11 SP1 x86_64


Last Updated: 27 May 2016 10:57:47